Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1386644 - "rubygem(multipart-post)" provides missing from rpm
"rubygem(multipart-post)" provides missing from rpm
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-multipart-post (Show other bugs)
epel7
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-19 07:36 EDT by Richard Grainger
Modified: 2017-06-23 22:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-multipart-post-2.0.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-23 22:17:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix SPEC file (1.96 KB, patch)
2016-10-19 10:36 EDT, Richard Grainger
no flags Details | Diff

  None (edit)
Description Richard Grainger 2016-10-19 07:36:09 EDT
Description of problem:

The "rubygem(multipart-post)" provides info is missing from rpm

Version-Release number of selected component (if applicable):

2.0.0-1.el7

How reproducible:

Download RPM and then:
rpm -qp --provides rubygem-multipart-post-2.0.0-1.el7.noarch.rpm


Steps to Reproduce:
1. Download RPM
2. rpm -qp --provides rubygem-multipart-post-2.0.0-1.el7.noarch.rpm
3.

Actual results:

rubygem-multipart-post = 2.0.0-1.el7


Expected results:

rubygem(multipart-post) = 2.0.0
rubygem-multipart-post = 2.0.0-1.el7

Additional info:
Comment 1 Richard Grainger 2016-10-19 10:36 EDT
Created attachment 1212177 [details]
Patch to fix SPEC file
Comment 2 Steve Traylen 2016-12-08 09:33:43 EST
Thanks for the patch sorry for delay.
Comment 3 Dominic Cleal 2017-01-18 04:18:20 EST
A related issue is that the requires on ruby(rubygem), ruby(release) should be present too. They were removed in Fedora as autoprov/req add them, but should still be present in EPEL7 branches.

See their removal at https://src.fedoraproject.org/cgit/rpms/rubygem-multipart-post.git/commit/?h=epel7&id=e861a96fd7b6ea37f693b7e9a6fd2fae2d7d2afc. They should be restored as well as the Provides from the above patch.
Comment 4 Steve Traylen 2017-05-31 10:56:11 EDT
https://koji.fedoraproject.org/koji/taskinfo?taskID=19793912

built okay but some reason does not appear as a build in bodhi. Will try again in couple of days to see if it fixes itself...
Comment 5 Fedora Update System 2017-06-01 04:16:41 EDT
rubygem-multipart-post-2.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d
Comment 6 Fedora Update System 2017-06-02 00:26:50 EDT
rubygem-multipart-post-2.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d
Comment 7 Fedora Update System 2017-06-07 03:54:00 EDT
rubygem-multipart-post-2.0.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d
Comment 8 Fedora Update System 2017-06-08 10:54:14 EDT
rubygem-multipart-post-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d
Comment 9 Fedora Update System 2017-06-23 22:17:12 EDT
rubygem-multipart-post-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.